package com.inspect.patrol.domain;

import com.inspect.base.core.utils.StringUtils;

public class LinkageTaskInfo {
    private String eqpBookId;
    private String patrolDeviceName;
    private String presetCode;
    private String deviceId;
    private String deviceName;
    private String patrolPointId;
    private String patrolPointName;
    private String linkagePosId;
    private String stationNo;
    private String monitorIndexNo;
    private String channelId;
    private String patrolDeviceCode;
    private String channelCode;
    private String phyAssetId;
    private String triggerSignalType;
    private String linkageSignalName;
    private String linkageAttribute;
    private String linkageValue;
    private String mainDeviceName;
    private String parentId;
    private String deviceCode;

    public String getDeviceCode() {
        return this.deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getTriggerSignalType() {
        return this.triggerSignalType;
    }

    public void setTriggerSignalType(String triggerSignalType) {
        this.triggerSignalType = triggerSignalType;
    }

    public String getLinkageSignalName() {
        return this.linkageSignalName;
    }

    public void setLinkageSignalName(String linkageSignalName) {
        this.linkageSignalName = linkageSignalName;
    }

    public String getLinkageAttribute() {
        return this.linkageAttribute;
    }

    public void setLinkageAttribute(String linkageAttribute) {
        this.linkageAttribute = linkageAttribute;
    }

    public String getLinkageValue() {
        return this.linkageValue;
    }

    public void setLinkageValue(String linkageValue) {
        this.linkageValue = linkageValue;
    }

    public String getLinkagePosId() {
        return this.linkagePosId;
    }

    public void setLinkagePosId(String linkagePosId) {
        this.linkagePosId = linkagePosId;
    }

    public String getStationNo() {
        return this.stationNo;
    }

    public void setStationNo(String stationNo) {
        this.stationNo = stationNo;
    }

    public String getMonitorIndexNo() {
        return this.monitorIndexNo;
    }

    public void setMonitorIndexNo(String monitorIndexNo) {
        this.monitorIndexNo = monitorIndexNo;
    }

    public String getChannelId() {
        return this.channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public String getPatrolDeviceCode() {
        return this.patrolDeviceCode;
    }

    public void setPatrolDeviceCode(String patrolDeviceCode) {
        this.patrolDeviceCode = patrolDeviceCode;
    }

    public String getChannelCode() {
        return this.channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String getDeviceId() {
        return this.deviceId;
    }

    public String getDeviceName() {
        return this.deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getEqpBookId() {
        return this.eqpBookId;
    }

    public void setEqpBookId(String eqpBookId) {
        this.eqpBookId = eqpBookId;
    }

    public String getMainDeviceName() {
        return this.mainDeviceName;
    }

    public void setMainDeviceName(String mainDeviceName) {
        this.mainDeviceName = mainDeviceName;
    }

    public String getParentId() {
        return StringUtils.isEmpty(this.parentId) ? this.deviceId + "-" + this.patrolPointId : this.parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getPatrolDeviceName() {
        return this.patrolDeviceName;
    }

    public void setPatrolDeviceName(String patrolDeviceName) {
        this.mainDeviceName = this.patrolDeviceName = patrolDeviceName;
    }

    public String getPresetCode() {
        return this.presetCode;
    }

    public void setPresetCode(String presetCode) {
        this.presetCode = presetCode;
    }

    public String getPatrolPointId() {
        return this.patrolPointId;
    }

    public void setPatrolPointId(String patrolPointId) {
        this.patrolPointId = patrolPointId;
    }

    public String getPatrolPointName() {
        return this.patrolPointName;
    }

    public void setPatrolPointName(String patrolPointName) {
        this.patrolPointName = patrolPointName;
    }

    public String getPhyAssetId() {
        return this.phyAssetId;
    }

    public void setPhyAssetId(String phyAssetId) {
        this.phyAssetId = phyAssetId;
    }
}
